package net.minecraft.world.level;

import net.minecraft.world.level.material.Fluids;
import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.block.state.BlockState;
import javax.annotation.Nullable;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.core.BlockPos;

public enum EmptyBlockGetter implements BlockGetter {
    INSTANCE;
    
    @Nullable
    @Override
    public BlockEntity getBlockEntity(final BlockPos fu) {
        return null;
    }
    
    @Override
    public BlockState getBlockState(final BlockPos fu) {
        return Blocks.AIR.defaultBlockState();
    }
    
    @Override
    public FluidState getFluidState(final BlockPos fu) {
        return Fluids.EMPTY.defaultFluidState();
    }
}
